View Issue Details

IDProjectCategoryView StatusLast Update
0008085Talerwallet (WebExtension)public2024-04-15 21:32
ReporterChristian Grothoff Assigned ToFlorian Dold  
PriorityhighSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.10Fixed in Version0.10 
Summary0008085: cannot delete purchase in state pending(auto-refund) from history
DescriptionGiven the attached wallet state, I can click on 'abort' in the WebExtension, but the state does not change, the transaction remains,
never allowing me to fail and eventually delete it.
TagsNo tags attached.
Attached Files

Relationships

related to 0008338 resolvedFlorian Dold introduce "finalizing" transaction state for payments in auto-refund [estimate: 6h] 
child of 0008245 closedFlorian Dold upload final 0.10 webext to Chrome Web Store [estimate: 1h] 

Activities

Florian Dold

2024-03-01 00:09

manager   ~0021588

Last edited: 2024-03-01 00:10

The transaction isn't failed, it's in auto-refund.

Florian Dold

2024-03-27 20:08

manager   ~0022019

Fixed here:

commit d13d465c4bdcd2462c916676ac9247fd241dbd9c (HEAD -> master, origin/master, origin/HEAD)
Author: Florian Dold <florian@dold.me>
Date: Wed Mar 27 20:08:23 2024 +0100

    wallet-core: implement abort for more payment states

Issue History

Date Modified Username Field Change
2024-01-13 23:01 Christian Grothoff New Issue
2024-01-13 23:01 Christian Grothoff Status new => assigned
2024-01-13 23:01 Christian Grothoff Assigned To => Florian Dold
2024-01-13 23:01 Christian Grothoff File Added: taler-wallet-database-2024_01_13_22 59.json
2024-02-16 22:42 Christian Grothoff Relationship added child of 0008245
2024-02-29 23:56 Florian Dold Relationship added related to 0008338
2024-03-01 00:09 Florian Dold Note Added: 0021588
2024-03-01 00:10 Florian Dold Summary cannot delete failed purchase from history => cannot delete purchase in state pending(auto-refund) from history
2024-03-01 00:10 Florian Dold Note Edited: 0021588
2024-03-27 20:08 Florian Dold Note Added: 0022019
2024-03-27 20:08 Florian Dold Status assigned => resolved
2024-03-27 20:08 Florian Dold Resolution open => fixed
2024-04-09 13:11 Christian Grothoff Fixed in Version => 0.10
2024-04-15 21:32 Christian Grothoff Status resolved => closed